Create conversation attachment
Server:
https://{kibana_url}
- POST /api/agent_builder/conversations/{conversation_id}/attachments
- POST /s/{space_id}/api/agent_builder/conversations/{conversation_id}/attachments
Refer to Spaces for more information.
Create a new attachment for a conversation with version tracking.
[Required authorization] Route required privileges: agentBuilder:read.
Path Parameters
-
conversation_idstringrequired -
The unique identifier of the conversation.
Request
-
dataobjectrequired -
The attachment data/content. Required unless origin is provided.
-
descriptionstring -
Human-readable description of the attachment.
-
Whether the attachment should be hidden from the user.
-
idstring -
Optional custom ID for the attachment.
-
originstring -
Origin string (for example, saved object ID) for by-reference attachments. When provided without data, the content is resolved once at creation time.
-
typestringrequired -
The type of the attachment (e.g., text, esql, visualization).
Response
200
application/json
Indicates a successful response